'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _aphrodite = require('aphrodite');

var _utils = require('./utils');

var _utils2 = _interopRequireDefault(_utils);

var _lodash = require('lodash.pickby');

var _lodash2 = _interopRequireDefault(_lodash);

var _generateMediaQueries = require('./generateMediaQueries');

var _generateMediaQueries2 = _interopRequireDefault(_generateMediaQueries);

var _lodash3 = require('lodash.isfunction');

var _lodash4 = _interopRequireDefault(_lodash3);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Sullivan = function Sullivan(_ref) {
  var _this = this;

  var sizes = _ref.sizes;
  var colors = _ref.colors;
  var textSizes = _ref.textSizes;
  var lineHeights = _ref.lineHeights;
  var z = _ref.z;
  var mediaQueries = _ref.mediaQueries;

  _classCallCheck(this, Sullivan);

  this.sheet = _aphrodite.StyleSheet;
  this.class = _aphrodite.css;

  var D = {};

  var u = (0, _utils2.default)({
    sizes: sizes,
    colors: colors,
    textSizes: textSizes,
    lineHeights: lineHeights,
    z: z
  });

  this.utils = Object.keys(u).reduce(function (p, c) {
    // filter out dynamic styles
    // create class names
    D[c] = (0, _lodash2.default)(u[c], function (v) {
      return (0, _lodash4.default)(v);
    });
    p[c] = _this.sheet.create((0, _lodash2.default)(u[c], function (v) {
      return !(0, _lodash4.default)(v);
    }));
    return p;
  }, {});

  this.rawUtils = u;
  this.inline = D;

  if (mediaQueries) {
    this.mq = (0, _generateMediaQueries2.default)(mediaQueries);
  }
};

exports.default = Sullivan;
//# sourceMappingURL=index.js.map